Class | Fog::Compute::XenServer::Host
In: | lib/fog/xenserver/models/compute/host.rb
Parent: | Fog::Model

### Methods

disable enable host_cpus metrics pbds pifs reboot resident_servers resident_vms set_attribute shutdown

### Public Instance methods

disable()

Puts the host into a state in which no new VMs can be started. Currently active VMs on the host continue to execute.

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

enable()

Puts the host into a state in which new VMs can be started.

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

host_cpus()
metrics()
pbds()
pifs()
reboot(auto_disable = true)

Reboot the host disabling it first unless auto_disable is set to false

This function can only be called if there are no currently running VMs on the host and it is disabled. If there are running VMs, it will raise an exception.

@param [Boolean] auto_disable disable the host first

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

resident_servers()
resident_vms()
set_attribute(name, *val)
shutdown(auto_disable = true)

Shutdown the host disabling it first unless auto_disable is set to false.

This function can only be called if there are no currently running VMs on the host and it is disabled. If there are running VMs, it will raise an exception.

@param [Boolean] auto_disable disable the host first

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

[Validate]